<?php
/*
 * Plugin Name: Admin Bar ID Menu
 * Plugin URI: http://www.tenseg.net/software/adminbarid
 * Description: Makes the ID number of the current page or post visible in the Admin Bar.
 * Version: 0.2
 * Author: Eric Celeste
 * Author URI: http://eric.clst.org/
 * License: GNU Lesser GPL 2.1 (http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt)
 */

function efc_admin_bar_menu() {
	global $wp_admin_bar, $wp_query;
	$wp_admin_bar->add_menu( 
		array( 
			'id' => 'efc-menu', 
			'title' => "ID " . $wp_query->queried_object_id, 
			'href' => get_edit_post_link( $wp_query->queried_object_id )
		) 
	);
}

add_action( 'admin_bar_menu', 'efc_admin_bar_menu', 95 );
?>